Last Comment Bug 651968 - Fix libsydneyaudio's ossaudio backend on OpenBSD (and probably other BSDs)
: Fix libsydneyaudio's ossaudio backend on OpenBSD (and probably other BSDs)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All OpenBSD
: -- normal (vote)
: mozilla6
Assigned To: Landry Breuil (:gaston)
:
: Maire Reavy [:mreavy]
Mentors:
Depends on: 657715 673460
Blocks: openbsdmeta
  Show dependency treegraph
 
Reported: 2011-04-21 14:05 PDT by Landry Breuil (:gaston)
Modified: 2011-07-22 10:32 PDT (History)
0 users
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix libsydneyaudio oss backend on *BSD (2.57 KB, patch)
2011-04-21 14:06 PDT, Landry Breuil (:gaston)
kinetik: review+
Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2011-04-21 14:05:10 PDT
Followup to https://bugzilla.mozilla.org/show_bug.cgi?id=648726, even if i know libsydneyaudio is targetted for the attic (https://bugzilla.mozilla.org/show_bug.cgi?id=623444), now i'm building trunk, and i need the attached patch to make it correctly build and link :
- on OpenBSD and NetBSD, soundcard.h needs to be included instead of sys/soundcard.h (FreeBSD has sys/soundcard.h, i suppose too for DragonflyBSD)
- -lossaudio needs to be added to EXTRA_DSO_LDOPTS for libxul and gklayout (not sure for the latter, but audio libs are added for MacOS there too...)
- NetBSD and OpenBSD have oss v3.0.1, and it builds fine with it so lower the requirement.
Comment 1 Landry Breuil (:gaston) 2011-04-21 14:06:37 PDT
Created attachment 527647 [details] [diff] [review]
Fix libsydneyaudio oss backend on *BSD

I doubt it'll make it to any tree/branch, but at least the patch won't be lost. It's in bugzilla if anyone needs it.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-27 21:28:16 PDT
Comment on attachment 527647 [details] [diff] [review]
Fix libsydneyaudio oss backend on *BSD

Seems OK to me but this is Matthew's territory.
Comment 3 Landry Breuil (:gaston) 2011-05-04 02:28:13 PDT
Given the lack of move in https://bugzilla.mozilla.org/show_bug.cgi?id=623444, can this be considered for inclusion in the meantime ?
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2011-05-05 19:59:42 PDT
http://hg.mozilla.org/projects/cedar/rev/dc03ec9b962e
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2011-05-06 21:21:35 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/dc03ec9b962e

Note You need to log in before you can comment on or make changes to this bug.